# BotService
    
> see https://aka.ms/autorest

This is the AutoRest configuration file for BotService.



---

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2017-12-01
```

### Tag: package-2017-12-01 and java

These settings apply only when `--tag=package-2017-12-01 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-12-01' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.botservice.v2017_12_01
  output-folder: $(azure-libraries-for-java-folder)/botservice/resource-manager/v2017_12_01
regenerate-manager: true
generate-interface: true
```


## Getting Started 
To build the SDK for BotService, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information 
These are the global settings for the BotService API.

``` yaml
openapi-type: arm
tag: package-2017-12-01
```

### Tag: package-2017-12-01

These settings apply only when `--tag=package-2017-12-01` is specified on the command line.

``` yaml $(tag) == 'package-2017-12-01'
input-file:
- Microsoft.BotService/preview/2017-12-01/botservice.json
directive:
  - suppress: R3010
    from: botservice.json
    reason: It is not a useful operation in the bot service.
  - suppress: R2001
    from: botservice.json
    reason: Flatten does not improve the programming experience here.
  - suppress: R3018
    from: botservice.json
    reason: We used Enums where we might extend to multiple states, and left booleans where it would ease development.
  - suppress: R2066
    from: botservice.json
    reason: The path as-is is quite descriptive.
```
---
# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python
  - repo: azure-sdk-for-go
```

## C# 

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.BotService
  output-folder: $(csharp-sdks-folder)/BotService/Microsoft.Azure.Management.BotService/Generated
  clear-output-folder: true
```

## Python

See readme.python.md file.

## Go

These settings apply only when `--go` is specified on the command line.

``` yaml $(go)
go:
  license-header: MICROSOFT_APACHE_NO_VERSION
  namespace: botservice
  clear-output-folder: true
```

### Go multi-api

``` yaml $(go) && $(multiapi)
batch:
  - tag: package-2017-12-01
```

### Tag: package-2017-12-01 and go

These settings apply only when `--tag=package-2017-12-01 --go` is specified on the command line.
Please also specify `--go-sdk-folder=<path to the root directory of your azure-sdk-for-go clone>`.

``` yaml $(tag) == 'package-2017-12-01' && $(go)
output-folder: $(go-sdk-folder)/services/preview/botservice/mgmt/2017-12-01/botservices
```
